public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-analyzer/sslsplit/files/, net-analyzer/sslsplit/
Date: Wed,  7 Aug 2019 16:27:07 +0000 (UTC)	[thread overview]
Message-ID: <1565195215.6d7e40d27f49d4d2015a3ec81e12da91b6d25b73.juippis@gentoo> (raw)

commit:     6d7e40d27f49d4d2015a3ec81e12da91b6d25b73
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Tue Aug  6 08:58:30 2019 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 16:26:55 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6d7e40d2

net-analyzer/sslsplit: Bump to version 0.5.4

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 net-analyzer/sslsplit/Manifest                     |  1 +
 .../sslsplit/files/sslsplit-0.5.4-install.patch    | 26 +++++++++++
 net-analyzer/sslsplit/sslsplit-0.5.4.ebuild        | 50 ++++++++++++++++++++++
 3 files changed, 77 insertions(+)

diff --git a/net-analyzer/sslsplit/Manifest b/net-analyzer/sslsplit/Manifest
index c214847d798..f2d8ea30a7d 100644
--- a/net-analyzer/sslsplit/Manifest
+++ b/net-analyzer/sslsplit/Manifest
@@ -1 +1,2 @@
 DIST sslsplit-0.5.2.tar.gz 1526606 BLAKE2B 2eb9e1525072626cfdfdfe344a61d92cf340a87dbbabfd06c5a7b46ce6dd0305b27949f91260fe192ecf97484676600e39f79a74995b45fb5b59138726cfbffe SHA512 5f0560dbf89355ad0ef443df2fb0358046efd8c35be6c45f27b04495fd6194c826ef1c7b261683e7f22eb14436293d00395329284d9e709e1188c3c885251935
+DIST sslsplit-0.5.4.tar.gz 1750390 BLAKE2B 4ab9014c91938397c469bdc49dd307c47375047f018a5caaf8b32eb84596d2fbe623702349dc85776071363b2167c6ee8918604c6bf2843d357ffe64df36bb1b SHA512 5220cbf26a2d5201c4b36207ec52b290f95002c6d5a4d828868d163cff528095add8b333ecb844b86b4e83f62934aa840f80d3838d00997acd50b6e30cee7aed

diff --git a/net-analyzer/sslsplit/files/sslsplit-0.5.4-install.patch b/net-analyzer/sslsplit/files/sslsplit-0.5.4-install.patch
new file mode 100644
index 00000000000..65959f3e109
--- /dev/null
+++ b/net-analyzer/sslsplit/files/sslsplit-0.5.4-install.patch
@@ -0,0 +1,26 @@
+diff --git a/GNUmakefile b/GNUmakefile
+index ebdcf0a..02cb4b7 100644
+--- a/GNUmakefile
++++ b/GNUmakefile
+@@ -519,21 +519,12 @@ $(TARGET).conf.5: $(TARGET).conf.5.in $(MKFS) FORCE
+ 
+ install: $(TARGET) $(TARGET).conf $(TARGET).1 $(TARGET).conf.5
+ 	test -d $(DESTDIR)$(PREFIX)/bin || $(MKDIR) -p $(DESTDIR)$(PREFIX)/bin
+-	test -d $(DESTDIR)$(PREFIX)/$(TARGET) || \
+-		$(MKDIR) -p $(DESTDIR)$(PREFIX)/sslsplit
+ 	test -d $(DESTDIR)$(PREFIX)/$(MANDIR)/man1 || \
+ 		$(MKDIR) -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man1
+ 	test -d $(DESTDIR)$(PREFIX)/$(MANDIR)/man5 || \
+ 		$(MKDIR) -p $(DESTDIR)$(PREFIX)/$(MANDIR)/man5
+-	test -d $(DESTDIR)/var/log/$(TARGET) || \
+-		$(MKDIR) -p $(DESTDIR)/var/log/$(TARGET)
+-	test -d $(DESTDIR)/var/run/$(TARGET) || \
+-		$(MKDIR) -p $(DESTDIR)/var/run/$(TARGET)
+ 	$(INSTALL) $(BINOWNERFLAGS) -m $(BINMODE) \
+ 		$(TARGET) $(DESTDIR)$(PREFIX)/bin/
+-	$(INSTALL) $(CNFOWNERFLAGS) -m $(CNFMODE) \
+-		$(TARGET).conf \
+-		$(DESTDIR)$(PREFIX)/$(TARGET)/$(TARGET).conf.sample
+ 	$(INSTALL) $(MANOWNERFLAGS) -m $(MANMODE) \
+ 		$(TARGET).1 $(DESTDIR)$(PREFIX)/$(MANDIR)/man1/
+ 	$(INSTALL) $(MANOWNERFLAGS) -m $(MANMODE) \

diff --git a/net-analyzer/sslsplit/sslsplit-0.5.4.ebuild b/net-analyzer/sslsplit/sslsplit-0.5.4.ebuild
new file mode 100644
index 00000000000..af09469872b
--- /dev/null
+++ b/net-analyzer/sslsplit/sslsplit-0.5.4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic
+
+DESCRIPTION="Transparent SSL/TLS interception"
+HOMEPAGE="https://www.roe.ch/SSLsplit"
+
+LICENSE="BSD-2"
+SLOT="0"
+IUSE="elibc_musl test"
+
+if [[ ${PV} == *9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/droe/${PN}"
+	EGIT_BRANCH="develop"
+else
+	SRC_URI="https://github.com/droe/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+RDEPEND="
+	dev-libs/libevent[ssl,threads]
+	dev-libs/openssl:0=
+	net-libs/libnet:1.1
+	elibc_musl? ( sys-libs/fts-standalone )"
+DEPEND="${RDEPEND}
+	test? ( dev-libs/check )"
+BDEPEND=""
+
+PATCHES=(
+	"${FILESDIR}/${P}-install.patch"
+)
+
+src_prepare() {
+	default
+
+	use elibc_musl && append-libs "-lfts"
+
+	sed -i -e 's/-D_FORTIFY_SOURCE=2 //g' \
+		-e 's/\<FEATURES\>/SSLSPLIT_FEATURES/g' GNUmakefile || die
+	sed -i '/opts_suite/d' main.t.c || die
+}
+
+src_install() {
+	emake DESTDIR="${D}" PREFIX="${EPREFIX}/usr" install
+	dodoc AUTHORS.md NEWS.md README.md sslsplit.conf
+}


             reply	other threads:[~2019-08-07 16:27 UTC|newest]

Thread overview: 3+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-07 16:27 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-05-27  6:53 [gentoo-commits] repo/gentoo:master commit in: net-analyzer/sslsplit/files/, net-analyzer/sslsplit/ Joonas Niilola
2022-10-07 11:28 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1565195215.6d7e40d27f49d4d2015a3ec81e12da91b6d25b73.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox